ThreadCpu (Sigar API)
Date: 2009-07-09

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.sigar
Class ThreadCpu

    java.lang.Object
      org.hyperic.sigar.ThreadCpu

All Implemented Interfaces:
  java.io.Serializable

    public class ThreadCpu

extends java.lang.Object
implements java.io.Serializable

ThreadCpu sigar class.

See Also:
  Serialized Form

Constructor Summary
`ThreadCpu()`

Method Summary
`void` | `gather(Sigar sigar, long pid)`
`long` | `getSys()` Get the Thread cpu kernel time.
`long` | `getTotal()` Get the Thread cpu time (sum of User and Sys).
`long` | `getUser()` Get the Thread cpu user time.
`java.util.Map` | `toMap()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ThreadCpu

    public ThreadCpu()

Method Detail

### gather

    public void gather(Sigar sigar,
                       long pid)
                throws SigarException

  Throws:
    `SigarException`

### getUser

    public long getUser()

  Get the Thread cpu user time.

  Supported Platforms: AIX, HPUX, Linux, Solaris, Win32.

  Returns:
    Thread cpu user time

### getSys

    public long getSys()

  Get the Thread cpu kernel time.

  Supported Platforms: AIX, HPUX, Linux, Solaris, Win32.

  Returns:
    Thread cpu kernel time

### getTotal

    public long getTotal()

  Get the Thread cpu time (sum of User and Sys).

  Supported Platforms: AIX, HPUX, Linux, Solaris, Win32.

  Returns:
    Thread cpu time (sum of User and Sys)

### toMap

    public java.util.Map toMap()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2004-2009 Hyperic. All Rights Reserved.